org.apache.lucene.queryParser.standard.config

## Interface MultiFieldAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    MultiFieldAttributeImpl

      public interface MultiFieldAttribute
      extends Attribute

  This attribute is used by `MultiFieldQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor to which fields the terms in the query should be expanded.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.CharSequence[]` | `getFields()`
    `void` | `setFields(java.lang.CharSequence[] fields)`

- - ### Method Detail

    - #### setFields

          void setFields(java.lang.CharSequence[] fields)

    - #### getFields

          java.lang.CharSequence[] getFields()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.